Bug 817453 - RFE: option to search in msgid, msgstr, or both for project-wide search
RFE: option to search in msgid, msgstr, or both for project-wide search
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
1.6-SNAPSHOT
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 1.6-beta-1
Assigned To: David Mason
Joyce Chang
:
Depends On:
Blocks: 817435
  Show dependency treegraph
 
Reported: 2012-04-30 01:10 EDT by David Mason
Modified: 2013-03-03 22:19 EST (History)
2 users (show)

See Also:
Fixed In Version: Zanata version 1.6.0-beta-2-SNAPSHOT (20120518-0026).
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-21 20:58:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2012-04-30 01:10:03 EDT
Description of problem:
(copied from https://bugzilla.redhat.com/show_bug.cgi?id=817435)
a) There should be an option to either search in msgid, or in msgstr, or in
both. (Obviously, replacing only possible in msgstr). 
Example use case (msgid): I want to double-check existing translations for a
certain English word, in order to ensure consistency. Hence I need to search
through only the msgid strings.
Example use case (msgstr): Existing translations for de_DE contain an English
word for a certain term, the previous translator decided to keep the EN word
instead of translating into DE. I want to change that. Searching for the word
and checking the option "msgstr" gives me only those entries where the
troublesome word still appears in the translation, instead of all appearances
in EN.
Example use case (msgid+msgstr): I am translating FINAL version but noticed
some BETA references from the previous version in English text and existing
translation. To clean my translation from them and to report occurences in the
English text to the author, I would want to search through msgid+msgst.

Version-Release number of selected component (if applicable):
1.6-alpha-1
  
Actual results:
Searches only search in translations

Expected results:
User can select whether to search in source, translations or both

Additional info:
Comment 1 David Mason 2012-05-09 05:00:49 EDT
Added in 1.6.0-alpha-3-SNAPSHOT

Select box is now available to choose "Search target" (default), "Search source" or "Search both".

Labels will be reviewed during UI update.

See: https://github.com/zanata/zanata/commit/3a033d53c4fce0395fc31b8d322f80dddb95a39a
Comment 2 Joyce Chang 2012-05-18 02:15:25 EDT
verified in Zanata version 1.6.0-beta-2-SNAPSHOT (20120518-0026).

Note You need to log in before you can comment on or make changes to this bug.